aboutsummaryrefslogtreecommitdiffstats
path: root/tests/auth-noplaintext
diff options
context:
space:
mode:
authorGuilhem Moulin <guilhem@fripost.org>2019-11-10 03:18:26 +0100
committerGuilhem Moulin <guilhem@fripost.org>2019-11-13 06:23:57 +0100
commit78522acced782587b3768f3fb57f2f25cb905754 (patch)
tree376fd984327ebc453fbdae0c9f821cb0b87e6467 /tests/auth-noplaintext
parent67440844c422ee30b31df9a46a7f99ac0e833add (diff)
Test suite: add new tests for authentication.
This can't be done with `doveadm exec imap`, so the IMAPd needs to bind to TCP port 10143 on the loopback interface. Also, no longer pass ‘imap_capability’ Dovecot setting explicitely to `doveadm exec imap`; changed tests/sync-live-crippled to use type=imap instead of type=tunnel.
Diffstat (limited to 'tests/auth-noplaintext')
-rw-r--r--tests/auth-noplaintext/interimap.remote3
l---------tests/auth-noplaintext/remote.conf1
-rw-r--r--tests/auth-noplaintext/t15
3 files changed, 19 insertions, 0 deletions
diff --git a/tests/auth-noplaintext/interimap.remote b/tests/auth-noplaintext/interimap.remote
new file mode 100644
index 0000000..60567e2
--- /dev/null
+++ b/tests/auth-noplaintext/interimap.remote
@@ -0,0 +1,3 @@
+type = imap
+host = localhost
+port = 10143
diff --git a/tests/auth-noplaintext/remote.conf b/tests/auth-noplaintext/remote.conf
new file mode 120000
index 0000000..dbbb908
--- /dev/null
+++ b/tests/auth-noplaintext/remote.conf
@@ -0,0 +1 @@
+../auth-sasl-plain/remote.conf \ No newline at end of file
diff --git a/tests/auth-noplaintext/t b/tests/auth-noplaintext/t
new file mode 100644
index 0000000..11d7d4d
--- /dev/null
+++ b/tests/auth-noplaintext/t
@@ -0,0 +1,15 @@
+! interimap --debug || error
+
+# double check the presence of 'STARTTLS' in the preauth capability list
+grep -oE -m1 '^remote: S: \* OK \[CAPABILITY IMAP4rev1( [^]]*)? AUTH=[^]]*\]' <"$STDERR" >"$TMPDIR/capability"
+
+sed -ri 's/^remote: S: \* OK \[CAPABILITY (.*)\]$/\1/' "$TMPDIR/capability"
+tr " " "\\n" <"$TMPDIR/capability" >"$TMPDIR/capabilities"
+ grep -Fx "IMAP4rev1" <"$TMPDIR/capabilities" || error
+! grep -Fx "STARTTLS" <"$TMPDIR/capabilities" || error
+
+# make sure we didn't send any credentials
+grep -Fx "remote: ERROR: Server did not advertise STARTTLS capability." <"$STDERR" || error
+! grep -E "^remote: C: .* (AUTHENTICATE|LOGIN) " <"$STDERR" || error
+
+# vim: set filetype=sh :